> For the complete documentation index, see [llms.txt](https://docs.emobiq.com/llms.txt). Markdown versions of documentation pages are available by appending `.md` to page URLs; this page is available as [Markdown](https://docs.emobiq.com/emobiq-client/006-actions-and-visual-logic/action-reference/react-native/control/conditional.md).

# conditional

## Description

Validates the condition passed.

## Input / Parameter

| Name      | Description                                           | Input Type | Default | Options | Required |
| --------- | ----------------------------------------------------- | ---------- | ------- | ------- | -------- |
| condition | The condition to be validated.                        | Boolean    | false   | -       | No       |
| yesValue  | The output value if condition is 'true'.              | Any        | -       | -       | No       |
| noValue   | The output value if condition is 'false'.             | Any        | -       | -       | No       |
| extra     | The stored value that is passed to all the callbacks. | Any        | -       | -       | No       |

## Output

| Description                          | Output Type |
| ------------------------------------ | ----------- |
| Returns the 'yesValue' or 'noValue'. | Any         |

## Callback

### yesCallback

The action performed if the condition is true.

### noCallback

The action performed if the condition is false.

## Example

In this example, we will pass a condition to check whether two values are equal using the `Logic.equal` function and print the result of the `Control.conditional` function in the console.

### Steps

1. Drag a `button` component into the canvas and open the `Action` tab. Select the `press` event of the button and drag the `Control.conditional` function to the event flow.
2. Call the function `Logic.equal` in the `condition` parameter of the function. Enter the parameters of the `Logic.equal` function.

   ```js
   value1: 20
   value2: 20
   ```

   ![](/files/XtQCo48b9YeuGeNzK04e)
3. Call the function `Log.write` in both `yesCallback` and `noCallback` parameters of the `Control.conditional` function. Change the parameter type of the `value` parameter to `input`.

   ![](/files/eA5Y348rzMyMnL5BheuD)

### Result

1. The console will print `YES`.


---

# Agent Instructions
This documentation is published with GitBook. GitBook is the documentation platform designed so that both humans and AI agents can read, navigate, and reason over technical content effectively. Learn more at gitbook.com.

## Querying This Documentation
If you need additional information that is not directly available in this page, you can query the documentation dynamically by asking a question.

Perform an HTTP GET request on the current page URL with the `ask` query parameter, and the optional `goal` query parameter:

```
GET https://docs.emobiq.com/emobiq-client/006-actions-and-visual-logic/action-reference/react-native/control/conditional.md?ask=<question>&goal=<endgoal>
```

`ask` is the immediate question: it should be specific, self-contained, and written in natural language.
`goal` is optional and describes the broader end goal you are ultimately trying to accomplish on behalf of the user. GitBook uses it to tailor the answer towards what is most useful for that goal.

The response will contain a direct answer to the question and relevant excerpts and sources from the documentation.

Use this mechanism when the answer is not explicitly present in the current page, you need clarification or additional context, or you want to retrieve related documentation sections.
